From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/reed/
Date: Wed, 17 Mar 2021 04:31:37 +0000 (UTC) [thread overview]
Message-ID: <1615955490.959ea46b6cb40ff778fe95eb8a7c5d03301723ce.sam@gentoo> (raw)
commit: 959ea46b6cb40ff778fe95eb8a7c5d03301723ce
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 17 04:23:09 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 17 04:31:30 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=959ea46b
app-text/reed: attempt at fixing build (finding ncurses)
pkgconfig wasn't listed as an explicit dependency, so perhaps
that was the issue.
Closes: https://bugs.gentoo.org/677526
Package-Manager: Portage-3.0.14-prefix, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-text/reed/reed-5.4.ebuild | 21 ++++++++++++++-------
1 file changed, 14 insertions(+), 7 deletions(-)
diff --git a/app-text/reed/reed-5.4.ebuild b/app-text/reed/reed-5.4.ebuild
index 10999a62f90..6e417c03798 100644
--- a/app-text/reed/reed-5.4.ebuild
+++ b/app-text/reed/reed-5.4.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-inherit eutils toolchain-funcs
+EAPI=7
+
+inherit toolchain-funcs
DESCRIPTION="This is a text pager (text file viewer), used to display etexts"
# Homepage http://www.sacredchao.net/software/reed/index.shtml does not exist.
@@ -13,19 +14,25 @@ LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 x86"
+BDEPEND="virtual/pkgconfig"
DEPEND="sys-libs/ncurses"
RDEPEND="${DEPEND}"
DOCS=( AUTHORS BUGS NEWS README )
src_prepare() {
- sed -e 's:-O2:$(CFLAGS) $(LDFLAGS):' \
+ default
+
+ sed -e 's;-O2;$(CFLAGS) $(LDFLAGS);' \
-e 's: wrap::' \
-e 's:-s reed:reed:' \
- -e 's:-lcurses:$(shell ${PKG_CONFIG} --libs ncurses):g' \
+ -e "s:-lcurses:$($(tc-getPKG_CONFIG) --libs ncurses):g" \
-i Makefile.in || die
- rm wrap.1 #Collision with talkfilters, bug #247396
- tc-export CC PKG_CONFIG
+
+ # Collision with talkfilters, bug #247396
+ rm wrap.1 || die
+
+ tc-export CC
}
src_configure() {
reply other threads:[~2021-03-17 4:31 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1615955490.959ea46b6cb40ff778fe95eb8a7c5d03301723ce.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox